document.addEventListener("DOMContentLoaded", function() {
	// proof makeup
	var proofs = document.getElementsByClassName("proof");
	for (var i = proofs.length - 1; i >= 0; i--) {
		environment_makeup(proofs[i], name="Beweis");
	}

	// example makeup
	var examples = document.getElementsByClassName("example");
	for (var i = examples.length - 1; i >= 0; i--) {
		environment_makeup(examples[i], name="Beispiel");
	}

	// theorem makeup
	var theorems = document.getElementsByClassName("theorem");
	for (var i = theorems.length - 1; i >= 0; i--) {
		environment_makeup(theorems[i], name="Satz");
	}

	// lemma makeup
	var lemmas = document.getElementsByClassName("lemma");
	for (var i = lemmas.length - 1; i >= 0; i--) {
		environment_makeup(lemmas[i], name="Lemma");
	}

	// motivation makeup
	var motivations = document.getElementsByClassName("motivation");
	for (var i = motivations.length - 1; i >= 0; i--) {
		environment_makeup(motivations[i], name="Motivation");
	}

	// info makeup
	var infos = document.getElementsByClassName("info");
	for (var i = infos.length - 1; i >= 0; i--) {
		environment_makeup(infos[i], name="Info");
	}

	// definition makeup
	var definitions = document.getElementsByClassName("definition");
	for (var i = definitions.length - 1; i >= 0; i--) {
		environment_makeup(definitions[i], name="Definition");
	}

	// remark makeup
	var remarks = document.getElementsByClassName("remark");
	for (var i = remarks.length - 1; i >= 0; i--) {
		environment_makeup(remarks[i], name="Bemerkung");
	}

	// always_open_in_new_tab
	always_open_in_new_tab();
});


function environment_makeup(proof, name="???") {
	var start = "<h1>" + name;

	// Maybe add reference
	var firstChild = proof.children[0];
	if (firstChild != undefined) {
		if (firstChild.tagName == "A") {
			var a = firstChild;
			var ref = a.href;
			var short = a.innerHTML;
			proof.removeChild(a);
			start += " [<a href='" + ref + "'>" + short + "</a>]";
		} else {
			start += "";
		}
	}

	// Maybe add name
	if (proof.id != "") {
		var name = proof.id;
		if (name[0] != "/") {
			name[0] = "";
			start += " " + "(" + name + ")";
		}
	}

	// End
	start += ":</h1>";

	var text = proof.innerHTML;
	
	var end = "";
	if (name == "Beweis") {
		end += "<div style='text-align: right;'>\\(\\square\\)</div>";
	} else {
		end += "";
	}
	
	proof.innerHTML = start + text + end;
}


function always_open_in_new_tab() {
	var links = document.getElementsByTagName("A");
	for (var i = links.length - 1; i >= 0; i--) {
		links[i].setAttribute("target", "_blank");
	}
}


// function generate_table_of_contents() {
// 	// example: levels = ["h2", "h3", "div.literature"]
// 	var sections = document.getElementsByTagName("h2");
// 	var subsections = document.getElementsByTagName("h3");

// 	var toc = document.createElement("div");
// 	for (var i = sections.length - 1; i >= 0; i--) {
// 		sections[i]
// 	}
// }

